﻿Type=StaticCode
Version=1.21
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Code module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'Public variables can be accessed from all modules.
	Private pg As Page
	Private sv As ScrollView
	Private btname As Button
	Public SelectedItem As Int
End Sub

Public Sub Show
	If pg.IsInitialized = False Then
		pg.Initialize("pg")
		pg.Title = "Scroll View"
		pg.RootPanel.Color = Colors.White
	End If
	Main.NavControl.ShowPage(pg)
End Sub

Public Sub CreateScrollView
		sv.Initialize("sv", pg.RootPanel.Width, 0)
		pg.RootPanel.AddView(sv, 0, 10dip, pg.RootPanel.Width, pg.RootPanel.Height-60dip)
		For i=0 To 100
			btname.InitializeCustom("btname", Colors.RGB(163,102,40), Colors.Black)
			btname.CustomLabel.SetBorder(1, Colors.Black, 2)
			btname.CustomLabel.Font = Font.CreateNew(25)
			btname.Text = "Item #" & i
			btname.Tag = i
			sv.Panel.AddView(btname, sv.width/2 - 100dip/2, i*80dip, 150dip, 80dip)
		Next
		sv.ContentWidth = pg.RootPanel.Width
		sv.ContentHeight = i * 80dip
End Sub

Private Sub btname_Click
	Dim lbt As Button
	lbt = Sender
	SelectedItem = lbt.Tag
	ResultModule.RemoveButton
	ResultModule.Show
End Sub


Public Sub RemoveSV
	If sv.IsInitialized Then
		sv.RemoveViewFromParent
	End If
End Sub